#ifndef SPRITEDATA_H
#define SPRITEDATA_H

class Anim;

enum SpriteSubType {SST_RUBBLE, SST_BUSH, SST_TREE, SST_HOUSE, SST_TALL, SST_TANK, SST_CHOPPER, SST_HEALTH, 
	SST_TURRET, SST_BUNKER, SST_MAINBUNKER, SST_ENEMYTANK, SST_SAM, SST_BULLET, SST_MISSILE };

class SpriteData
{
	public:
		char *animName; // don't use Anim if NULL
		Anim *anim;
		bool solid;
		bool shadow;
};

const int SPRITE_NUM = 15;
extern SpriteData spriteData [SPRITE_NUM];

#endif
